# ext/hash_set File Reference

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset).

Definition in file ext/hash_set.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx
- namespace std

## Classes

- class __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >
- class __gnu_cxx::hash_set< _Value, _HashFcn, _EqualKey, _Alloc >
- class std::insert_iterator< __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc > >
- class std::insert_iterator< __gnu_cxx::hash_set< _Value, _HashFcn, _EqualKey, _Alloc > >

## Defines

- #define _HASH_SET

## Functions

- template<class _Val, class _HashFcn, class _EqualKey, class _Alloc> bool __gnu_cxx::operator!= (const hash_multiset< _Val, _HashFcn, _EqualKey, _Alloc > &__hs1, const hash_multiset< _Val, _HashFcn, _EqualKey, _Alloc > &__hs2)
- template<class _Value, class _HashFcn, class _EqualKey, class _Alloc> bool __gnu_cxx::operator!= (const hash_set< _Value, _HashFcn, _EqualKey, _Alloc > &__hs1, const hash_set< _Value, _HashFcn, _EqualKey, _Alloc > &__hs2)
- template<class _Val, class _HashFcn, class _EqualKey, class _Alloc> bool __gnu_cxx::operator== (const hash_multiset< _Val, _HashFcn, _EqualKey, _Alloc > &__hs1, const hash_multiset< _Val, _HashFcn, _EqualKey, _Alloc > &__hs2)
- template<class _Value, class _HashFcn, class _EqualKey, class _Alloc> bool __gnu_cxx::operator== (const hash_set< _Value, _HashFcn, _EqualKey, _Alloc > &__hs1, const hash_set< _Value, _HashFcn, _EqualKey, _Alloc > &__hs2)
- template<class _Val, class _HashFcn, class _EqualKey, class _Alloc> void __gnu_cxx::swap (hash_multiset< _Val, _HashFcn, _EqualKey, _Alloc > &__hs1, hash_multiset< _Val, _HashFcn, _EqualKey, _Alloc > &__hs2)
- template<class _Val, class _HashFcn, class _EqualKey, class _Alloc> void __gnu_cxx::swap (hash_set< _Val, _HashFcn, _EqualKey, _Alloc > &__hs1, hash_set< _Val, _HashFcn, _EqualKey, _Alloc > &__hs2)